package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.ClinicBloodEffectDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.dbanaly.facade.taizhou.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : TaiZhouClinicBloodEffectDocTrans
 * @Description : 输血后效果评价
 * @Author : 楼辉荣
 * @Date: 2020-04-19 17:53
 */
public class TaiZhouClinicBloodEffectDocTrans extends ModelDocTrans {

    @Override
    public List<ClinicBloodEffectDoc> extract(MedrecVo medrecVo) {
        List<ClinicBloodEffectDoc> retList = Lists.newArrayList();
        List<Map<String, Object>> contentMaps = (List) medrecVo.getContent().get("content");
        contentMaps.forEach(contentMap -> {
            retList.add(getClinicBloodEffectDoc(contentMap));
        });
        return retList;
    }

    private ClinicBloodEffectDoc getClinicBloodEffectDoc(Map<String, Object> contentMap) {
        String content = contentMap.get("xmlText").toString();
        Map<String, String> sourceMap = TzXmlUtil.getXmlToMapForTZ(content);
        sourceMap.put("mode_id=" + contentMap.get("modeId").toString(), "");
        sourceMap.put("rec_title=" + contentMap.get("recTitle").toString(), "");
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(sourceMap, keyContrasts);

        ClinicBloodEffectDoc clinicBloodEffectDoc = new ClinicBloodEffectDoc();
        clinicBloodEffectDoc.setStructureMap(structureMap);
        clinicBloodEffectDoc.setPageData((Map) structureMap);

        return clinicBloodEffectDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList();

}